### Enumeration

# Snapd SnapType

since: 1.0

#### Declaration

    enum Snapd.SnapType

#### Description [src]

Type of snap.

Available since: 1.0

#### Members

`SNAPD_SNAP_TYPE_UNKNOWN`

  The type of snap is unknown.

  - Value: `0`
  - Available since: 1.0
`SNAPD_SNAP_TYPE_APP`

  The snap is an application.

  - Value: `1`
  - Available since: 1.0
`SNAPD_SNAP_TYPE_KERNEL`

  The snap is a kernel.

  - Value: `2`
  - Available since: 1.0
`SNAPD_SNAP_TYPE_GADGET`

  The snapd is a gadget.

  - Value: `3`
  - Available since: 1.0
`SNAPD_SNAP_TYPE_OS`

  The snap is an operating system.

  - Value: `4`
  - Available since: 1.0
`SNAPD_SNAP_TYPE_CORE`

  The snap is a core snap.

  - Value: `5`
  - Available since: 1.0
`SNAPD_SNAP_TYPE_BASE`

  The snap is a base snap.

  - Value: `6`
  - Available since: 1.0
`SNAPD_SNAP_TYPE_SNAPD`

  The snap is the snap daemon.

  - Value: `7`
  - Available since: 1.0